from __future__ import annotations
from typing import Any, Protocol, runtime_checkable
from com.sun.star.lang import XInitialization

@runtime_checkable
class XSmartTagRecognizer(XInitialization, Protocol):
    def getName(self, aLocale: Locale) -> str: ...
    def getDescription(self, aLocale: Locale) -> str: ...
    def recognize(self, aText: str, nStart: int, nLength: int, eDataType: SmartTagRecognizerMode, aLocale: Locale, xTextMarkup: XTextMarkup, aApplicationName: str, xController: XController, xTokenizer: XBreakIterator) -> None: ...
